public final class UrlDownloadSize
extends com.google.api.client.json.GenericJson
This is the Java data model class that specifies how to parse/serialize into the JSON that is transmitted over HTTP when working with the Real-time Bidding API. For a detailed explanation see: https://developers.google.com/api-client-library/java/google-http-java-client/json
com.google.api.client.util.GenericData.FlagsAbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>| Constructor and Description |
|---|
UrlDownloadSize() |
| Modifier and Type | Method and Description |
|---|---|
UrlDownloadSize |
clone() |
Integer |
getDownloadSizeKb()
Download size of the URL in kilobytes.
|
String |
getNormalizedUrl()
The normalized URL with query parameters and fragment removed.
|
UrlDownloadSize |
set(String fieldName,
Object value) |
UrlDownloadSize |
setDownloadSizeKb(Integer downloadSizeKb)
Download size of the URL in kilobytes.
|
UrlDownloadSize |
setNormalizedUrl(String normalizedUrl)
The normalized URL with query parameters and fragment removed.
|
getFactory, setFactory, toPrettyString, toStringentrySet, equals, get, getClassInfo, getUnknownKeys, hashCode, put, putAll, remove, setUnknownKeysclear, containsKey, containsValue, isEmpty, keySet, size, valuesfinalize, getClass, notify, notifyAll, wait, wait, waitcompute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAllpublic Integer getDownloadSizeKb()
null for nonepublic UrlDownloadSize setDownloadSizeKb(Integer downloadSizeKb)
downloadSizeKb - downloadSizeKb or null for nonepublic String getNormalizedUrl()
null for nonepublic UrlDownloadSize setNormalizedUrl(String normalizedUrl)
normalizedUrl - normalizedUrl or null for nonepublic UrlDownloadSize set(String fieldName, Object value)
set in class com.google.api.client.json.GenericJsonpublic UrlDownloadSize clone()
clone in class com.google.api.client.json.GenericJsonCopyright © 2011–2025 Google. All rights reserved.